//****************
module AL_MAP_LUT6 (o, a, b, c, d, e, f);

  parameter INIT = 64'h0000000000000000;
  parameter EQN = "0";
  parameter LOC = "UNPLACED";

  output o;
  input a, b, c, d, e, f;

endmodule

//****************
module AL_MAP_LUT5 (o, a, b, c, d, e);

  parameter INIT = 32'h00000000;
  parameter EQN = "0";
  parameter LOC = "UNPLACED";

  output o;
  input a, b, c, d, e;

endmodule

//****************
module AL_MAP_LUT4 (o, a, b, c, d);

  parameter INIT = 16'h0000;
  parameter EQN = "0";

  input a, b, c, d;

  output o;

endmodule

//****************
module AL_MAP_LUT3 (o, a, b, c);

  parameter INIT = 8'h000;
  parameter EQN = "0";

  input a, b, c;

  output o;

endmodule

//****************
module AL_MAP_LUT2 (o, a, b);

  parameter INIT = 4'h0;
  parameter EQN = "0";

  input a, b;

  output o;

endmodule

//****************
module AL_MAP_LUT1 (o, a);

  parameter INIT = 2'h0;
  parameter EQN = "0";

  input a;

  output o;

endmodule

//****************
module AL_MAP_ADDER (o, a, b, c);

  parameter ALUTYPE = "";

  input a, b, c;

  output [1:0] o;

endmodule

//****************
module AL_MAP_ALU2B  (
	input a0,
	input b0,
	input c0,
	input d0,
	input a1,
	input b1,
	input c1,
	input d1,
	input cin,
	output cout,
	output s0,
	output s1
);
  parameter INIT0 = 16'h0000;
  parameter INIT1 = 16'h0000;
  parameter FUNC0 = "NO";
  parameter FUNC1 = "NO";
endmodule

//****************
module AL_MAP_SEQ (ce, clk, sr, d, q);

  parameter DFFMODE = "FF"; 
  parameter REGSET = "RESET"; 
  parameter SRMUX = "SR"; 
  parameter SRMODE = "SYNC"; 

    input ce, clk, sr, d;
    output q;
    reg q;
endmodule

//****************
module AL_MAP_BLE_MULT18X18
  (
  input [17:0] a,
  input [17:0] b,
  input cea,
  input ceb,
  input cepd,
  input clk,
  input rsta_n,
  input rstb_n,
  input rstpd_n,
  input signeda,
  input signedb,
  output [35:0] p
  );
endmodule

//****************
module AL_MAP_BLE_MULT9X9
  (
  input [8:0] a,
  input [8:0] b,
  input cea,
  input ceb,
  input cepd,
  input clk,
  input rsta_n,
  input rstb_n,
  input rstpd_n,
  input signeda,
  input signedb,
  output [17:0] p
  );
endmodule
