///////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2011-2021 Anlogic, Inc.
// All Right Reserved.
///////////////////////////////////////////////////////////////////////////////
//
//
//   Vendor : Anlogic
//   Version : 0.1
//   Description : Anlogic Functional Simulation Library Component
//            config gsrn as user gsrn,
//            config rebootn as user rebootn, 
//            config clock as user clock 
//   Filename : al_logic_config.v
//   Timestamp : Wed Jan  30 19:13:13 CST 2019
//
///////////////////////////////////////////////////////////////////////////////
//
// Revision:
//    1/30/19 - Initial version.
//
///////////////////////////////////////////////////////////////////////////////

`timescale  1 ns / 1 ps

module  AL_LOGIC_MBOOT(rebootn, dynamic_addr); 	// config multiboot
input       rebootn;
input [7:0] dynamic_addr;		// high-8bit address

  //parameter
  parameter ADDR_SOURCE_SEL = "STATIC";	// STATIC/DYNAMIC 
  parameter STATIC_ADDR = 8'b0;		// high-8bit address
  parameter MBOOT_AUTO_SEL = "DISABLE";	// DISABLE/ENABLE

endmodule

/*
module AL_LOGIC_DNA(dout, clk, din, shift_en);		// config dna 
parameter DNA = 64'h0000000000000000;
output dout;
input  clk;
input  din;
input  shift_en;

tri0 shift_en, dout;

reg [63:0] dna_reg;
reg shift_en_r;
wire load_dna;

initial
begin
dna_reg = 64'h0000000000000000;
shift_en_r = 1'b0;
end


always @(posedge clk)
  shift_en_r <= shift_en;

assign load_dna = shift_en & ~shift_en_r;

always @(posedge clk)
  if(load_dna)
    dna_reg <= DNA;
  else if(shift_en & ~load_dna)
    dna_reg <= {din, dna_reg[63:1]};

assign dout = dna_reg[0];
  
endmodule
*/
