module EF3_LOGIC_MIPIIO(lp_rx_en,lp_dir,lp_dout,lp_din,hs_data_en,din,dout,pclk,sclk,rst);
    output [1:0] lp_rx_en;   								       //mipi lp rx enable, high active            
    output [1:0] lp_dir;     								       //mipi lp output direction, low output
    output [1:0] lp_dout;    								       //mipi lp dout   
    input  [1:0] lp_din;     								       //mipi lp din
    output       hs_data_en; 								       //mipi hs data enable, low ouput       
    input  [3:0] din;        								       //mipi hs input data        
    output [3:0] dout;       								       //mipi hs output data
    input        pclk;
    input        sclk;
    input        rst;

parameter ASYNCRST = "ENABLE"; //ENABLE, DISABLE

// NOTE: Following implementation is wrong, for the two multi-driven buses.

//  wire  [1:0] vcmpd_n = {hs_data_en,hs_data_en}; 
//  wire  [1:0] dynres  = {hs_data_en,hs_data_en}; 
//  
//  ELF2_PHY_MIPIIO #(.ASYNCRST(ASYNCRST)) INST_MIPIIO
//  		(
//  			.lp_rx_en(lp_rx_en),     
//  			.lp_dir(lp_dir),     
//  			.lp_dout(lp_dout),    
//  			.lp_din(lp_din),     
//  			.dynres(dynres),      
//  			.hs_data_en(hs_data_en), 
//  			.din(din),        
//  			.vcmpd_n(vcmpd_n),    
//  			.dout(dout),       
//  			.pclk(pclk),
//  			.sclk(sclk),
//  			.rst(rst)		
//  		);

endmodule

