///////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2011-2021 Anlogic, Inc.
// All Right Reserved.
///////////////////////////////////////////////////////////////////////////////
//
//
//   Vendor : Anlogic
//   Version : 0.1
//   Description : Anlogic Functional Simulation Library Component
//            mult
//   Filename : al_phy_mcu.v
//   Timestamp : Mon Nov  4 14:20:41 CST 2013
//
///////////////////////////////////////////////////////////////////////////////
//
// Revision:
//    02/08/17 - Initial version.
//    03/13/17 - update port names.
///////////////////////////////////////////////////////////////////////////////
`timescale 1 ns / 1 ps
module EF3_PHY_TEMPSENSOR (
 pd_ota,   
 pd_sensor,
 sel_ota, 
 sel_pad 
    ); 
input     pd_ota; // 1 will disable sensor amplifier
input     pd_sensor; // 1 will disable sensor
input     sel_ota; // 1 select amplifier output , 0 is sensor direct output
input     sel_pad; // 1 select pad to ADC, 0 select tempsensor to ADC
// TO BE FILLED

endmodule
