module EG_PHY_DDR_8M_16 (  
    clk,
    clk_n,
    ras_n,
    cas_n,
    we_n,
    cs_n,
    addr,
    ba,
    dq,
    ldqs,
    udqs,
    ldm,
    udm,
    cke
);

input         clk;
input         clk_n;
input         ras_n;
input         cas_n;
input         we_n;
input         cs_n;
input  [11:0] addr;
input  [1:0]  ba;
inout  [15:0] dq;
input         ldqs;
input         udqs;
input         ldm;
input         udm;
input         cke;

 specify                                      
        (clk  *> dq) = (0:0:0, 0:0:0);
        (clk_n  *> dq) = (0:0:0, 0:0:0);        

	$setuphold (posedge clk, dq 	, 0:0:0, 0:0:0);	
	$setuphold (posedge clk, addr 	, 0:0:0, 0:0:0);	
	$setuphold (posedge clk, ba 	, 0:0:0, 0:0:0);
	$setuphold (posedge clk, we_n 	, 0:0:0, 0:0:0);	
	$setuphold (posedge clk, cs_n 	, 0:0:0, 0:0:0);
	$setuphold (posedge clk, ras_n 	, 0:0:0, 0:0:0);
	$setuphold (posedge clk, cas_n 	, 0:0:0, 0:0:0);	
	$setuphold (posedge clk, ldm 	, 0:0:0, 0:0:0);
	$setuphold (posedge clk, udm 	, 0:0:0, 0:0:0);	
	$setuphold (posedge clk, ldqs 	, 0:0:0, 0:0:0);	
	$setuphold (posedge clk, udqs 	, 0:0:0, 0:0:0);	
	$setuphold (posedge clk, cke 	, 0:0:0, 0:0:0);
	
 endspecify


endmodule
