///////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2011-2021 Anlogic, Inc.
// All Right Reserved.
///////////////////////////////////////////////////////////////////////////////
//
//   Vendor : Anlogic
//   Version : 0.1
//   Description : Anlogic Functional Simulation Library Component
//            global clk,  io clock, clk div
//   Filename : al_phy_clk.v
//   Timestamp : Thu Apr  24 09:30:30 CST 2014
//
///////////////////////////////////////////////////////////////////////////////
//
// Revision:
//    4/24/14 - Initial version.
//    13/9/18 - remove PHY_IOCLK & PHY_CLKDIV, permission from Yongsheng
//
///////////////////////////////////////////////////////////////////////////////
`timescale 1ns/1ps

module ELF_PHY_GCLK (clki, clko);
    input clki;
    output clko;

    buf (clko,clki);

 specify                                      
        (clki  => clko) = (0.5:0.5:0.5, 0.5:0.5:0.5);
 endspecify

endmodule


