///////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2011-2021 Anlogic, Inc.
// All Right Reserved.
///////////////////////////////////////////////////////////////////////////////
//
//
//   Vendor : Anlogic
//   Version : 0.1
//   Description : Anlogic Functional Simulation Library Component
//            bufg, for clock, 
//            cclk as config clock 
//   Filename : elf_logic_clock.v
//   Timestamp : Tue Jun 28 15:57:32 CST 2016
//
///////////////////////////////////////////////////////////////////////////////
//
// Revision:
//    06/28/16 - Initial version.
//
///////////////////////////////////////////////////////////////////////////////

`timescale  1 ps / 1 ps

module  ELF_LOGIC_BUFG(o,i);  // driver for global clk resource
output o;
input i;

	buf bufg (o, i);

endmodule

module ELF_LOGIC_CCLK(cclk);  // config clk
output cclk;

endmodule

